Author: Luca Boccassi <luca.boccassi@gmail.com>
Description: Ignore failure to set DRM interface
 This always fail due to problems in libdrm, but does not affect
 Bumblebee's functionality. See GH-652 for more details.
Bug: https://github.com/Bumblebee-Project/Bumblebee/issues/652
Origin: commit:881fab51122f7fe3c7c18565556ad96c25d0660f
Applied-Upstream: commit:881fab51122f7fe3c7c18565556ad96c25d0660f
--- a/src/bblogger.c
+++ b/src/bblogger.c
@@ -146,6 +146,7 @@ static void parse_xorg_output(char * string){
     if (strstr(string, "Failed to load module \"kbd\"") ||
             strstr(string, "No input driver matching") ||
             strstr(string, "systemd-logind: failed to get session:") ||
+            strstr(string, "failed to set DRM interface version 1.4:") ||
             strstr(string, "Server terminated successfully")) {
       /* non-fatal errors */
       prio = LOG_DEBUG;
